"""
Copyright (c) 2020-2023 MeteoSwiss, contributors listed in AUTHORS.

Distributed under the terms of the GNU General Public License v3.0 or later.

SPDX-License-Identifier: GPL-3.0-or-later

Module contents: Required attributes definition for
.config.ConfigManager.Parameter class.

"""

# Import current packages modules
from ...database.model import Prm as TableParameter

#: dict: Default values of labels
LABEL_VAL_DEF = {
    TableParameter.prm_plot.name: '',
    TableParameter.prm_desc.name: '',
    TableParameter.prm_cmt.name: '',
    TableParameter.prm_unit.name: '',
}

#: dict: Parameter pattern properties (JSON_SCHEMA)
PARAMETER_PATTERN_PROP = {
    rf"^{TableParameter.prm_name.name}$": {
        "type": "string",
    },
    rf"^{TableParameter.prm_plot.name}$": {
        "type": "string",
    },
    rf"^{TableParameter.prm_desc.name}$": {
        "type": "string"
    },
    rf"^{TableParameter.prm_cmt.name}$": {
        "type": "string"
    },
    rf"^{TableParameter.prm_unit.name}$": {
        "type": "string"
    }
}

#: str: Config manager key name
KEY = TableParameter.__name__

#: str: Node name able to be generated by regexp
NODE_GEN = TableParameter.prm_name.name
